Bug 1626843 - Julia is missing the fftw dependency for Fast Fourier Transforms.
Summary: Julia is missing the fftw dependency for Fast Fourier Transforms.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: julia
Version: 28
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Bouchet-Valat
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-09 16:17 UTC by Alex
Modified: 2018-09-20 19:12 UTC (History)
1 user (show)

Fixed In Version: julia-0.6.3-2.fc27 julia-0.6.3-2.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-20 05:16:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Alex 2018-09-09 16:17:01 UTC
Description of problem: Julia is missing a dependency to preform fft's. 


Version-Release number of selected component (if applicable): 0.6.3


How reproducible: Easily


Steps to Reproduce:
1. Run julia from shell
2. In julia's REPL run fft(rand(10))

Actual results:
 julia> fft(rand(10)) ERROR: error compiling Type: error compiling _init_: could not load library "libfftw3f_threads" libfftw3f_threads.so: cannot open shared object file: No such file or directory Stacktrace: [1] #plan_fft#5(::UInt32, ::Float64, ::Function, ::Array{Complex{Float64},1}, ::UnitRange{Int64}) at ./fft/FFTW.jl:596 [2] fft(::Array{Complex{Float64},1}, ::UnitRange{Int64}) at ./dft.jl:57 [3] fft(::Array{Float64,1}) at ./dft.jl:204 [4] macro expansion at ./REPL.jl:97 [inlined] [5] (::Base.REPL.##1#2{Base.REPL.REPLBackend})() at ./event.jl:73

Expected results:
julia> fft(rand(10))
10-element Array{Complex{Float64},1}:
   5.27341+0.0im     
  0.393102+0.324254im
  -1.39133-0.226702im
 -0.247263+1.06474im 
 -0.620969-0.866069im
   0.20997+0.0im     
 -0.620969+0.866069im
 -0.247263-1.06474im 
  -1.39133+0.226702im
  0.393102-0.324254im


Additional info:

The solution was to install fftw from @System repo in Fedora 28. So fftw needs to be a dependency of julia for fft to work. 
More info: https://github.com/JuliaDSP/DSP.jl/issues/227

Comment 1 Fedora Update System 2018-09-09 17:56:50 UTC
julia-0.6.3-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a783c7ba74

Comment 2 Fedora Update System 2018-09-09 17:57:04 UTC
julia-0.6.3-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a982c244e2

Comment 3 Milan Bouchet-Valat 2018-09-09 17:57:24 UTC
Good catch. There are two versions of FFTW, and fftwf was missing from the dependencies. I've pushed a new version which should fix this.

Comment 4 Alex 2018-09-09 18:13:18 UTC
(In reply to Milan Bouchet-Valat from comment #3)
> Good catch. There are two versions of FFTW, and fftwf was missing from the
> dependencies. I've pushed a new version which should fix this.

Okay, thanks!

Comment 5 Fedora Update System 2018-09-11 15:43:41 UTC
julia-0.6.3-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a982c244e2

Comment 6 Fedora Update System 2018-09-11 18:10:49 UTC
julia-0.6.3-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a783c7ba74

Comment 7 Fedora Update System 2018-09-20 05:16:50 UTC
julia-0.6.3-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-09-20 19:12:36 UTC
julia-0.6.3-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.